Get all teams

View as Markdown
Gets all Postman teams in your organization.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

identifierTypestringOptional
Use SCIM user and group IDs instead of Postman user IDs.

Query parameters

cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

limitintegerOptionalDefaults to 50
The maximum number of rows to return in the response.
settingsbooleanOptionalDefaults to false
If true, returns team settings in the response.
userRolesbooleanOptionalDefaults to false
If true, returns the team's assigned user roles in the response.

Response

Successful Response
datalist of objects
A list of teams.
metadataobject
The response's meta information for paginated results.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error